package pl.webnet.JaTrac;

/**
 * TreeNode represents a node that can reside in object tree
 * @author: Miloslaw Smyk (thorgal@amiga.com.pl)
 * @version: $Id: TreeNode.java,v 1.1.1.1 2001/05/17 23:27:03 thorgal Exp $
 */

abstract class TreeNode
{
	String name;
	Level parent;
	static Level root;

	public TreeNode()
	{
	}

	static public void setRoot(Level root)
	{
		TreeNode.root = root;
	}

	public void setParent(Level parent)
	{
		this.parent = parent;
	}
	
}
